# limitint.hpp File Reference

the reviewed implementation of infinint based on system limited integers More...

`#include "../my_config.h"`
`#include <typeinfo>`
`#include "integers.hpp"`
`#include "erreurs.hpp"`
`#include "special_alloc.hpp"`
`#include "int_tools.hpp"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`

Go to the source code of this file.

## Classes
class | libdar::limitint< B >
| limitint template class More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

the reviewed implementation of infinint based on system limited integers

the limitint template class implementation defined in this module can handle positive integers and detect overflow. It shares with infinint the same interface, so it can be use in place of it, but throw Elimitint exceptions if overflow is detected.

Definition in file limitint.hpp.